Description

A tag is a piece of information that can be attached to any geometrical feature.

They provide a standard way for carrying a piece of semantic information, complementary to the categories (layers), types (eg. type

of road), etc.

A simple version of a tag would be just a single word (eg. red). , eg. the tag red would identify an kind of red object, let them be

houses, trees, etc.

They can be used to group features from different layers. Furthermore, tags can be organized, eg. in hierarchies, or restricted to

some condition (some layers only).

Note that OSM uses tags extensively (https://wiki.openstreetmap.org/wiki/Tags), and it is very free of use. However, in this context,

tags are a key => value combination, which is a more powerful concept than just a single word.

As of today's writing, this ticket only describes the idea and functionality. The implementation (database structure) would be a trade

off between the complexity, ease of use (specially from the survey field work) processing requirement, etc.

Related issues:

Related to Gisaf - Feature #6581: Add notes and tags fields to all geo models Closed 06/09/2018

Associated revisions

Revision 98e83b6c - 20/12/2018 03:37 - Philippe May

Refs #6582: basic implementation of tags

History

#1 - 06/09/2018 18:34 - Philippe May

- Related to Feature #6581: Add notes and tags fields to all geo models added

#2 - 19/12/2018 16:26 - Philippe May

- Status changed from New to In Progress

Resuming work after discussion and another use case for tags (information source for the features IZ would be: "source->name of organization").

Postgres' HSTORE data type is for (key -> value) pairs, and used by, eg, osm2pgsql.

#3 - 12/01/2019 15:58 - Philippe May

- Status changed from In Progress to Resolved

Basic implementation finished, including webUI in the info-tags component (many commits, see branch angular-info-router)

#4 - 08/02/2019 12:19 - Philippe May

- Status changed from Resolved to Closed
